[Overview][Types][Classes][Variables][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TBaseAVLTreeNodeManager.NewNode

Called when the AVL tree needs a new node

## Declaration

Source position: avl_tree.pp line 63

`public function TBaseAVLTreeNodeManager.NewNode: TAVLTreeNode; virtual; abstract;`

## Function result

New node instance

## Description

NewNode is called by TAVLTree when it needs a new node in TAVLTree.Add. It must be implemented by descendants to return a new TAVLTreeNode instance.

## See also

TBaseAVLTreeNodeManager.DisposeNode |  | Called when the AVL tree no longer needs node
TAVLTree.Add |  | Add a new node to the tree
TAVLTreeNode |  | Represents a node in the tree.